Page MenuHomePhabricator

Helvetica Neue cannot render some combining characters correctly
Closed, ResolvedPublic

Description

comparison between Helvetica and Helvetica Neue

I did more investigation on the rendering problems reported for Helvetica Neue (the preferred content font in VectorBeta). It turns out Helvetica Neue has serious problems with "combining characters" (http://en.wikipedia.org/wiki/Combining_character). The common ones are fine, like grave accent, acute accent, tilde, umlaut, etc. But as soon as you try the less common ones, the rendering goes to hell.

I don't know much about where these more obscure combining characters are used, but I know they are common in Vietnamese (which uses a modified Latin alphabet), and in the International Phonetic Alphabet (which is often used for pronunciation guides on en.wiki).

The attached screenshot shows a sample of the problem. The left-hand column shows the correct rendering in Helvetica and the right-hand column shows the incorrect rendering in Helvetica Neue. I haven't done an inventory of which characters display incorrectly, but most of the ones I tried randomly failed. There are about 200 combining characters total in Unicode.


Attached:

Details

Reference
bz61470

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:01 AM
bzimport added projects: Vector, I18n.
bzimport set Reference to bz61470.
bzimport added a subscriber: Unknown Object (MLST).
kaldari created this task.Feb 18 2014, 2:45 AM

I think this is technically 2 different bugs. Since we can't directly fix either of them, I'm going to leave them together for the time being.

The first bug is that many of these combining characters don't seem to have kerning pairs. So they look fine with a lowercase 'e', but if you pair them with an uppercase letter like 'A', a wide letter like 'm', or a letter with a descender like 'g', they render incorrectly.

The second bug is that the tie characters (https://en.wikipedia.org/wiki/Tie_%28typography%29) are placed incorrectly by default. They are centered over the pair character instead of off-center, so they don't perform the visual function of tying the pair character with the character that follows the combining character.

If someone wants to upstream these bugs, the publisher of the font is Linotype Design Studio GmbH, although I have no idea how you report bugs to them.

swalling wrote:

Moved to core now that typography changes committed to master and removed from VectorBeta.

This is almost certainly caused by missing data in the Glyph Positioning Table of the font. Most browsers seem to compensate for this automatically, but it looks wonky in Firefox.

It seems that at the very least Helvetica should be prioritised over Helvetica Neue in non-English wikis. Jon, Matt, what was the way to do this per-language configuration?

This seems reasonable, Ryan K. are these findings in-line with the test you did or are these different findings.

Ryan, can you specify what platform(s) you encounter this bug on? Is it Mac or Windows?

Erwin: Firfox on Mac.

Krinkle closed this task as Resolved.Jan 5 2015, 2:14 AM
Krinkle claimed this task.

Closing old ticket. The Vector skin no longer hardcodes a preference for Helvetica. This was removed several months ago.

Krinkle updated the task description. (Show Details)Jan 5 2015, 2:14 AM
Krinkle added a project: Design.
Krinkle set Security to None.
Krinkle removed a subscriber: Unknown Object (MLST).